<%@ Page Language="C#" AutoEventWireup="true" CodeFile="PageTemplateList_Edit_D.aspx.cs" Inherits="Admin_Template_PageTemplateList_Edit_D" %>


<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>修改列表分页模板</title>
    <link rel="Stylesheet" href="../Images/Admin.css" type="text/css" />
    <script type="text/javascript" src="../Images/Admin.js"></script>
    <script type="text/javascript">
     function storeCaret (textEl) {
       if (textEl.createTextRange) 
         textEl.caretPos = document.selection.createRange().duplicate();
     }
     function setText (text) {
       sfbj=true;
       var textEl=document.getElementById("DaiMa");
       if (textEl.createTextRange && textEl.caretPos) {
         var caretPos = textEl.caretPos;
         caretPos.text = caretPos.text.charAt(caretPos.text.length - 1) == 

' ' ? text + ' ' : text;
       }
        else
         textEl.value  += text;
     }
     var sfbj=false;
     function setURL(DiZhi)
     {
        document.getElementById("BiaoQianShuoMing").src=DiZhi;
     }
     function LOAD()
     {
        var s=QueryString("s")=="true";
        var DM;
        if(s)
            DM=opener.document.getElementById("DaiMaNeiRong").innerText;
        else
            DM=opener.document.getElementById("_3GDaiMaNeiRong").innerText;
        document.getElementById("DaiMa").value=DM;
     }
     function F_Sub()
     {
        var s=QueryString("s")=="true";
        if(s)
            opener.document.getElementById("DaiMaNeiRong").innerText=document.getElementById("DaiMa").innerText;
        else
            opener.document.getElementById("_3GDaiMaNeiRong").innerText=document.getElementById("DaiMa").innerText;
        window.close();
     }
    </script>
</head>
<body style="margin:2px" onload="LOAD()">
    <form id="form1" runat="server" onkeydown="if(event.ctrlKey&&event.keyCode==13){this.submit();}">
    <div>
    <table class="tab1" border="0" cellpadding="0" cellspacing="0">
    <tr>
        <td>
        <table class="tab2" border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td class="tab2_bt">
                修改代码内容
            </td>
        </tr>
        <tr>
            <td>
            <table class="tab3" border="0" cellpadding="0" cellspacing="1">
        <tr>
            <td style="width:60%;background:#f3f8ff">
                <a href="#" title="(快捷键：Ctrl+Enter[提交]，Tab[输出Tab字符]，Shift+Enter[输出&lt;br/&gt;])">快捷键</a></td>
            <td style="width:20%;background:#f3f8ff">标签说明及示例</td>
            <td style="width:20%;background:#f3f8ff">标签</td>
        </tr>
        <tr>
            <td style="width:60%;height:410px">
                <asp:TextBox ID="DaiMa" style="width:100%;height:100%;font-size:12px;font-family:宋体;" TextMode="MultiLine" runat="server" Wrap="true"
               ONSELECT="storeCaret(this);"
               ONCLICK="storeCaret(this);"
               ONKEYUP="storeCaret(this);sfbj=true;" onkeydown="if(event.keyCode==9){setText('\t');return false;}else if(event.shiftKey&&event.keyCode==13){setText('&lt;br/&gt;\r\n');return false;}"></asp:TextBox></td>
            <td style="width:20%">
                <iframe name="BianQianShuoMing" id="BiaoQianShuoMing" style="width:100%;height:100%" scrolling="auto" frameborder="0" src="<%=Server.HtmlEncode(DZ.Value) %>"></iframe>
            </td>
            <td style="width:20%">
                <iframe name="BianQianLieBiao" style="width:100%;height:100%" scrolling="auto" frameborder="0" src="../BiaoQianLieBiao.aspx?bq=<%=Server.UrlEncode("高级标签,列表分页代码") %>"></iframe>
                </td>
        </tr>
        <tr>
            <td></td>
            <td style="text-align:center">
        <asp:HiddenField ID="HDM" runat="server" />
        <asp:HiddenField ID="DZ" runat="server" />
                <input type="button" value="确定修改" onclick="F_Sub()" />
                </td>
            <td></td>
            <td></td>
        </tr>
            </table>
            </td>
        </tr>
        </table>
        </td>
    </tr>
    </table>
    </div>
    </form>
</body>
</html>
